0
0 ItemsS$0.00

3.3mH Radial Leaded Power Inductors :

29 Products Found
Find a huge range of 3.3mH Radial Leaded Power Inductors at element14 Singapore. We stock a wide range of Radial Leaded Power Inductors, such as 10µH, 100µH, 1mH & 220µH Radial Leaded Power Inductors from the worlds top manufacturers including: Wurth Elektronik, Kemet, Coilcraft, Bourns & Murata

All Filters

(1 Applied)

Expand Filters
Compare
Manufacturer Part No
Order Code
Manufacturer / Description
Availability
Price For
Price (inc GST)
Quantity
Product Range
Inductance
Inductor Construction
RMS Current (Irms)
Saturation Current (Isat)
DC Resistance Max
Inductance Tolerance
3373475

RoHS

Each
1+ S$0.844(S$0.920)
5+ S$0.769(S$0.8382)
10+ S$0.694(S$0.7565)
25+ S$0.606(S$0.6605)
50+ S$0.556(S$0.606)
More Pricing...
RLB9012 Series
3.3mH
-
290mA
-
9.1ohm
± 10%
3373457

RoHS

Each
1+ S$18.030(S$19.6527)
5+ S$16.850(S$18.3665)
10+ S$15.670(S$17.0803)
20+ S$15.120(S$16.4808)
40+ S$14.560(S$15.8704)
More Pricing...
1140 Series
3.3mH
-
1.9A
3.6A
0.773ohm
± 10%
3760501

RoHS

Each
1+ S$7.500(S$8.175)
2+ S$7.110(S$7.7499)
3+ S$6.710(S$7.3139)
5+ S$6.310(S$6.8779)
10+ S$5.910(S$6.4419)
More Pricing...
1400 Series
3.3mH
Unshielded
1.2A
-
0.93ohm
± 10%
3373466

RoHS

Each
1+ S$0.436(S$0.4752)
10+ S$0.353(S$0.3848)
50+ S$0.309(S$0.3368)
100+ S$0.292(S$0.3183)
200+ S$0.268(S$0.2921)
More Pricing...
RLB Series
3.3mH
-
60mA
-
12ohm
± 10%
3760500

RoHS

Each
1+ S$5.080(S$5.5372)
3+ S$4.780(S$5.2102)
5+ S$4.480(S$4.8832)
10+ S$4.180(S$4.5562)
20+ S$3.910(S$4.2619)
More Pricing...
1400 Series
3.3mH
Unshielded
1A
-
1.992ohm
± 10%
2871339

RoHS

Each
1+ S$3.200(S$3.488)
5+ S$2.920(S$3.1828)
10+ S$2.640(S$2.8776)
20+ S$2.430(S$2.6487)
40+ S$2.220(S$2.4198)
More Pricing...
1900R Series
3.3mH
Unshielded
420mA
-
2.5ohm
± 10%
2211722

RoHS

Each
1+ S$1.320(S$1.4388)
5+ S$1.290(S$1.4061)
10+ S$1.260(S$1.3734)
25+ S$1.220(S$1.3298)
50+ S$1.170(S$1.2753)
More Pricing...
WE-TI Series
3.3mH
Unshielded
280mA
300mA
6.2ohm
± 5%
2543225

RoHS

Each
1+ S$2.470(S$2.6923)
5+ S$2.300(S$2.507)
10+ S$2.130(S$2.3217)
20+ S$1.960(S$2.1364)
40+ S$1.790(S$1.9511)
More Pricing...
WE-TI Series
3.3mH
Unshielded
400mA
500mA
3.2ohm
± 5%
2725275

RoHS

Each
1+ S$1.120(S$1.2208)
5+ S$1.020(S$1.1118)
10+ S$0.906(S$0.9875)
25+ S$0.792(S$0.8633)
50+ S$0.727(S$0.7924)
More Pricing...
RLB Series
3.3mH
Unshielded
195mA
80mA
9ohm
± 10%
3290934

RoHS

Each
10+ S$1.100(S$1.199)
50+ S$1.010(S$1.1009)
100+ S$0.901(S$0.9821)
500+ S$0.819(S$0.8927)
1000+ S$0.740(S$0.8066)
More Pricing...
SBC Series
3.3mH
Unshielded
150mA
170mA
7.66ohm
± 10%
3290908

RoHS

Each
1+ S$2.390(S$2.6051)
10+ S$2.040(S$2.2236)
50+ S$1.770(S$1.9293)
100+ S$1.540(S$1.6786)
500+ S$1.400(S$1.526)
More Pricing...
SBC Series
3.3mH
Unshielded
90mA
110mA
13.8ohm
± 10%
3291065

RoHS

Each
1+ S$2.930(S$3.1937)
10+ S$1.540(S$1.6786)
50+ S$1.450(S$1.5805)
100+ S$1.270(S$1.3843)
500+ S$1.210(S$1.3189)
More Pricing...
SBC Series
3.3mH
Unshielded
220mA
480mA
5.68ohm
± 10%
3291014

RoHS

Each
1+ S$2.480(S$2.7032)
10+ S$2.340(S$2.5506)
50+ S$1.770(S$1.9293)
100+ S$1.680(S$1.8312)
500+ S$1.600(S$1.744)
More Pricing...
SBC Series
3.3mH
Unshielded
360mA
630mA
3.51ohm
± 10%
4360195

RoHS

Each
1+ S$2.580(S$2.8122)
10+ S$2.310(S$2.5179)
100+ S$2.030(S$2.2127)
500+ S$1.840(S$2.0056)
1000+ S$1.810(S$1.9729)
More Pricing...
WE-TI Series
3.3mH
Unshielded
430mA
550mA
2.8ohm
± 5%
4360207

RoHS

Each
1+ S$3.390(S$3.6951)
10+ S$3.210(S$3.4989)
100+ S$2.660(S$2.8994)
500+ S$2.440(S$2.6596)
1000+ S$2.400(S$2.616)
More Pricing...
WE-TIS Series
3.3mH
Shielded
250mA
380mA
8.6ohm
± 10%
3518436

RoHS

Each
1+ S$1.160(S$1.2644)
5+ S$1.120(S$1.2208)
10+ S$1.070(S$1.1663)
25+ S$1.060(S$1.1554)
50+ S$1.050(S$1.1445)
More Pricing...
WE-TI Series
3.3mH
Unshielded
240mA
290mA
6.7ohm
± 5%
2112803

RoHS

Each
1+ S$4.880(S$5.3192)
3+ S$4.600(S$5.014)
5+ S$4.310(S$4.6979)
10+ S$4.020(S$4.3818)
20+ S$3.760(S$4.0984)
More Pricing...
1400 Series
3.3mH
Unshielded
700mA
700mA
1.428ohm
± 10%
2062705

RoHS

Each
1+ S$1.340(S$1.4606)
5+ S$1.220(S$1.3298)
10+ S$1.100(S$1.199)
25+ S$0.954(S$1.0399)
50+ S$0.900(S$0.981)
More Pricing...
1300R Series
3.3mH
Unshielded
190mA
190mA
7ohm
± 10%
1077039

RoHS

Each
1+ S$1.570(S$1.7113)
5+ S$1.400(S$1.526)
10+ S$1.220(S$1.3298)
20+ S$1.130(S$1.2317)
40+ S$1.040(S$1.1336)
More Pricing...
2200R Series
3.3mH
Unshielded
100mA
-
11ohm
± 10%
2457741

RoHS

Each
1+ S$1.810(S$1.9729)
5+ S$1.680(S$1.8312)
10+ S$1.540(S$1.6786)
25+ S$1.410(S$1.5369)
50+ S$1.260(S$1.3734)
More Pricing...
RFB0807 Series
3.3mH
Unshielded
190mA
150mA
11.8ohm
± 10%
2457821

RoHS

Each
1+ S$2.100(S$2.289)
5+ S$1.950(S$2.1255)
10+ S$1.790(S$1.9511)
25+ S$1.650(S$1.7985)
50+ S$1.460(S$1.5914)
More Pricing...
RFB1010 Series
3.3mH
Unshielded
430mA
340mA
6ohm
± 10%
2457924

RoHS

Each
1+ S$2.060(S$2.2454)
5+ S$1.910(S$2.0819)
10+ S$1.750(S$1.9075)
25+ S$1.610(S$1.7549)
50+ S$1.430(S$1.5587)
More Pricing...
RFC1010 Series
3.3mH
Unshielded
380mA
480mA
4.75ohm
± 10%
2493163

RoHS

Each
1+ S$2.480(S$2.7032)
5+ S$2.410(S$2.6269)
10+ S$2.340(S$2.5506)
20+ S$2.270(S$2.4743)
40+ S$2.200(S$2.398)
More Pricing...
WE-TIF Series
3.3mH
Unshielded
370mA
520mA
3.6ohm
± 5%
2457860

RoHS

Each
1+ S$1.470(S$1.6023)
5+ S$1.360(S$1.4824)
10+ S$1.250(S$1.3625)
25+ S$1.140(S$1.2426)
50+ S$1.020(S$1.1118)
More Pricing...
RFC0807 Series
3.3mH
Unshielded
210mA
350mA
10.5ohm
± 10%
2457894

RoHS

Each
1+ S$2.090(S$2.2781)
5+ S$1.930(S$2.1037)
10+ S$1.770(S$1.9293)
25+ S$1.610(S$1.7549)
50+ S$1.440(S$1.5696)
More Pricing...
RFC0810 Series
3.3mH
Unshielded
290mA
360mA
7.1ohm
± 10%
1-25 of 29 items
of 2 page(s)

Popular Suppliers

TDK
MURATA
PANASONIC
VISHAY
MULTICOMP PRO
KEMET
BOURNS
OHMITE
TE CONNECTIVITY
PayPal